Skip to main content
`Ctrl`+`K`
scipy.special.

# comb

scipy.special.comb(N, k, *, exact=False, repetition=False)

  The number of combinations of N things taken k at a time.

  This is often expressed as “N choose k”.

  Parameters:
    N int, ndarray

      Number of things.

    k int, ndarray

      Number of elements taken.

    exact bool, optional

      For integers, if exact is False, then floating point precision is used, otherwise the result is computed exactly.

    repetition bool, optional

      If repetition is True, then the number of combinations with repetition is computed.

  Returns:
    val int, float, ndarray

      The total number of combinations.

  See also

  `binom`

    Binomial coefficient considered as a function of two real variables.

  Notes

  - Array arguments accepted only for exact=False case.

  - If N < 0, or k < 0, then 0 is returned.

  - If k > N and repetition=False, then 0 is returned.

  Examples

      >>> import numpy as np
      >>> from scipy.special import comb
      >>> k = np.array([3, 4])
      >>> n = np.array([10, 10])
      >>> comb(n, k, exact=False)
      array([ 120.,  210.])
      >>> comb(10, 3, exact=True)
      120
      >>> comb(10, 3, exact=True, repetition=True)
      220